delete
https://{domainname}/ca_apis/deleteAgent
Deletes an agent based on the provided userName and agentId.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API allows you to delete an existing agent from your CloudAgent account.
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the below header and body parameters:
Rate LimitThis API permits up to 5 requests per minute.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Possible Responses
| Success Response | {"Status": "Success","Message": "Agent xxxxx Deleted Successfully"} |
| Missing apiKey key / Missing apiKey Value | "{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."", ""data"": null}" |
| Passing Invalid apiKey Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid userName Value / Missing userName key / Missing userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid agentId Value / Missing agentId key / Missing agentId Value / | "{""messages"": ""Invalid Agent Details"", ""status"": ""error""}" |
| Deleting an already deleted agent. | {"status": "error","messages": "Invalid agent details or Agent is already deleted"} |
| More than 5 requests per minute | "{""status"": ""error"", ""message"": ""Max limit exceeded""}" |
